#ifndef Tcp_Server_H
#define Tcp_Server_H

#include <QObject>
#include <QTcpServer>
#include <QTcpSocket>
#include <QHostaddress>

#include "CDockWidget.h"

const quint32	CHALLENGE_PORT	= 9191;
const quint32	RESPONSE_PORT	= 9192;
const quint32	MAX_BYTES		= 50;

const bool		DEBUGMODE = true;

class Tcp_Server: public QObject
{
	public:
		Tcp_Server();
		~Tcp_Server();

	public slots:
		void acceptConnection();
		void startRead();
	
	private:
		QTcpServer server;
		QTcpSocket* client;
		CDockWidget *ptr_Special;
};
#endif //EOF